This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 139830 - CAN-2004-1072 ia32el's binfmt_elf.c lacks recent security fixes added in Linux Kernel
CAN-2004-1072 ia32el's binfmt_elf.c lacks recent security fixes added in Linu...
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ia32el (Show other bugs)
3.0
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
public=20041110,impact=low
: Security
Depends On:
Blocks: 135876
  Show dependency treegraph
 
Reported: 2004-11-18 05:59 EST by Jakub Jelinek
Modified: 2007-11-30 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 10:07:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch to fix the problem (2.10 KB, patch)
2004-12-05 23:59 EST, Yoav Zach
no flags Details | Diff

  None (edit)
Description Jakub Jelinek 2004-11-18 05:59:32 EST
User-Agent:       
Build Identifier: 

http://linux.bkbits.net:8080/linux-2.5/gnupatch@41925edcVccsXZXObG444GFvEJ94GQ
http://linux.bkbits.net:8080/linux-2.5/gnupatch@419aab96hLx0_PJBP9uSo9Cx0MDmBw
changes should be backported to ia32el.


Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 4 Jakub Jelinek 2004-11-29 16:51:10 EST
I was hoping Intel would do the backport and I'd just double check their patch
(have plenty of other things that need finishing before RHEL-4 RC).
But if Intel doesn't show up with a patch by say Wednesday, I'll try to find
time and fix it myself.
Comment 5 Yoav Zach 2004-11-29 18:21:26 EST
we have the patches ready. we wanted to have a validation cycle before sending 
them, which should be finished early next week. is this soon enough ?

thanks,
yoav.
Comment 6 Jakub Jelinek 2004-11-30 18:32:46 EST
I was told early next week should be still ok.
Comment 7 Mark J. Cox (Product Security) 2004-12-01 04:36:02 EST
Note we'll also need to deal with and errata for this for RHEL3-LACD
Comment 8 Yoav Zach 2004-12-05 23:59:25 EST
Created attachment 107925 [details]
a patch to fix the problem
Comment 9 Jakub Jelinek 2004-12-06 12:04:34 EST
Should be fixed in ia32el-1.1-12 in dist-4E-lacd, also put to ftp://people.redhat.com/jakub/ia32el/
Comment 10 Mark J. Cox (Product Security) 2004-12-07 04:55:44 EST
For reference, the issue being fixed is CAN-2004-1072
Comment 11 Jay Turner 2004-12-13 10:07:32 EST
Fix confirmed with 1.1-14.

Note You need to log in before you can comment on or make changes to this bug.